
Katello - Bug #4770

Need to be able to reset data in production mode

03/21/2014 03:15 PM - Mike McCune

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In Katello 1.4 we had the ability to use katello-configure to reset the database to the initial state.

We lost this ability with the move to being an engine inside Foreman.  Trying our dev mode reset (foreman-rake katello:reset) results

in many errors stating that it can't run sudo without a terminal.

Lets work to get back the ability to reset your data in production mode.

Associated revisions

Revision fc8d4d32 - 04/14/2014 02:57 PM - Eric Helms

Fixes #4770: Adding reset option to installer script.

Revision 88f95d5a - 04/16/2014 07:58 PM - Eric Helms

Merge pull request #37 from ehelms/fixes-4770

Fixes #4770: Adding reset option to installer script.

History

#1 - 03/24/2014 04:34 AM - Mike McCune

- Triaged set to Yes

#2 - 04/16/2014 08:01 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|commit:fc8d4d324fab9adb81f083859c68df6657b1454f.

#3 - 08/21/2014 02:36 PM - Eric Helms

- translation missing: en.field_release set to 13
